import { IPresetConfirmationButtonConfig } from './preset-confirmation.interface';
/**
 * Configuration of the confirmation dialog.
 *
 * ```typescript
 * private config: IConfirmationConfig = {
 *   confirm: {
 *     label: 'Button Label',
 *     action: () => {
 *       console.log('Confirm clicked');
 *     },
 *   },
 * };
 * ```
 *
 * @see {@link QueryUploadComponent}
 */
export interface IQueryUploadConfig {
    /** The configuration for the confirm button. */
    cancel: IPresetConfirmationButtonConfig;
    /** The configuration for the confirm button. */
    confirm: IPresetConfirmationButtonConfig;
}
